// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Components/TextBlock.h"
#include "MagicFloatInput.h"
#include "VerifierTextBlock.generated.h"

/**
 *
 */
UCLASS()
class MYPROJECT_API UVerifierTextBlock : public UTextBlock {

  GENERATED_BODY()

  UPROPERTY(EditAnywhere)
  UTextBlock * sourceInput;

  UPROPERTY(EditAnywhere)
  UMagicFloatInput * destInput;

  void verifyFloats();

  void BeginPlay() override;
};
